Bug 216318 - Dell C521 acpi=off boots w/ 1.2798, not w/ 1.2849
Dell C521 acpi=off boots w/ 1.2798, not w/ 1.2849
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-19 02:27 EST by Matt Wette
Modified: 2008-02-07 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tar file with relevant dmesg and /proc/interrupts files (80.00 KB, application/x-tar)
2006-11-19 02:27 EST, Matt Wette
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 7397 None None None Never

  None (edit)
Description Matt Wette 2006-11-19 02:27:14 EST
Description of problem:
I have a Dell C521 with Athlon X2 3800+ and nVidia C51 chipset.
I have booted with 2.6.18-1.2798.fc6, 1.2849 and rebuilt 1.2849.
All kernels will boot with no arguments but provide only 1 CPU core.
With no arguments the timer (IRQ0) is "XT-PIC".  If I booted 1.2798
with "acpi=off", I would get both cores, but the mouse would lock up.
The mouse lock up is a big problem with the Dell Athlon Dimension boxes
(see bugzilla,kernel.org BUG #7397).  There is some issue with the 
mouse (USB issue w/ nvidia ?).  I am reporting a minor other issue.
With 1.2849, booting with "acpi=off" causes the boot to hang.
I downloaded source and recompiled with kernel with 
CONFIG_X86_APIC_AUTO not set.  I can not boot both cores.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6

How reproducible:
boot with "acpi=off"

Steps to Reproduce:
1.
2.
3.
  
Actual results:
will not boot

Expected results:
boot with multiple CPUs

Additional info:
If I rebuild the kernel with CONFIG_X86_APIC not set, then
I can boot with "apic=off".  This option somehow messes up
the boot process on Dell C521.
Comment 1 Matt Wette 2006-11-19 02:27:14 EST
Created attachment 141575 [details]
tar file with relevant dmesg and /proc/interrupts files
Comment 2 Matt Wette 2006-11-19 02:29:27 EST
The last sentence of my description should have read:
"I can now boot both cores." [with modified 1.2849]
Comment 3 Matt Wette 2006-12-18 20:49:39 EST
I found that if I use "acpi=off" and "lapic" with 1.2849 then the boot succeeds.
Comment 4 Jon Stanley 2008-01-07 20:51:12 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-02-07 23:24:03 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.